{% extends "base.html" %}
{% import '_forms.html' as forms %}
{% import '_modals.html' as modals %}

{% block content %}
<div class="tile is-parent is-main-tile">
    <div class="tile box is-child">
        <form method="post" name="domain">
            <h2 class="title is-2">{{ strings.domain_name }}</h2>
            {{ forms.input_text('domain_name', strings.domain_name, None, domain) }}
            {{ forms.button(strings.Confirm) }}
            {% if msg_domain %}<p>{{ msg_domain }}</p>{% endif %}
        </form>
        <br><br>
        <form method="post" name="add">
            <h2 class="title is-2">{{ strings.Add_entry }}</h2>
            <div class="field is-horizontal">
                <div class="field-body">
                    {{ forms.input_text('name', strings.Name) }}
                    {{ forms.input_text('dest', strings.Address) }}
                    {{ forms.input_select('type', [{'value': 'A', 'text': strings.type_A}, {'value': 'CNAME', 'text': strings.type_cname}], none, "&nbsp;") }}
                </div>
            </div>

            {{ forms.button(strings.Add) }}
            {% if msg_add %}<p>{{ msg_add }}</p>{% endif %}
        </form>

        <br><br>
        <h2 class="title is-2">{{ strings.Entry_list }}</h2>

        <table class="table">
            <thead>
                <tr>
                  <th>{{ strings.Name }}</th>
                  <th>{{ strings.Type }}</th>
                  <th>{{ strings.Destination }}</th>
                  <th>{{ strings.Action }}</th>
                </tr>
            </thead>
            <tfoot>
                <tr>
                  <th>{{ strings.Name }}</th>
                  <th>{{ strings.Type }}</th>
                  <th>{{ strings.Destination }}</th>
                  <th>{{ strings.Action }}</th>
                </tr>
            </tfoot>
            <tbody>
                {% if entries %}
                {% for entry in entries %}
                <tr>
                    <th>{{ entry.name }}</th>
                    {% if entry.type == "A" %}
                    <td>{{ strings.type_A }}</td>
                    {% elif entry.type == "CNAME" %}
                    <td>{{ strings.type_cname }}</td>
                    {% endif %}
                    <td>{{ entry.dest }}</td>
                    <td>
                        <a href="#" class="modal-button" data-target="modal-{{ entry.name }}">
                            <span class="icon">
                                <i class="fas fa-trash"></i>
                            </span>
                        </a>
                        {{ modals.confirm(strings, entry.name, strings.confirm_delete.format(entry.name), entry.name, "delete") }}
                    </td>
                </tr>
                {% endfor %}
                {% endif %}
            </tbody>
        </table>

        <br><br>
        <form method="post" name="add">
            <h2 class="title is-2">{{ strings.remote_server | capitalize }}</h2>
            {{ forms.input_select('remote_dns', [{'value': '1.1.1.1;1.0.0.1;', 'text': 'cloudflare'}, {'value': '8.8.8.8;8.8.4.4;', 'text': 'google'}, {'value': '208.67.222.222;208.67.220.220;', 'text': 'OpenDns'}], remote_dns) }}

            {{ forms.button(strings.Confirm) }}
            {% if msg_changed %}<p>{{ msg_changed }}</p>{% endif %}
        </form>

    </div>
</div>


{% endblock %}